### Hierarchy

- Offer

## Index

### Constructors

- constructor

### Properties

- compare
- description
- id
- imageUrl
- offerPrices
- owner
- rules
- tags
- title
- worth

### Methods

- getPriceById
- toJson
- validPrices
- fromJson

## Constructors

### constructor

- new Offer(description?: string, title?: string, imageUrl?: string, worth?: string, tags?: Map<String, String>, compare?: Map<String, String>, rules?: Map<String, CompareAction>, offerPrices?: Array<OfferPrice>): Offer

- - Defined in repository/models/Offer.ts:52

  #### Parameters

  - ##### Default value description: string = ""

  - ##### Default value title: string = ""

  - ##### Default value imageUrl: string = ""

  - ##### Default value worth: string = "0"

  - ##### Default value tags: Map<String, String> = new Map()

  - ##### Default value compare: Map<String, String> = new Map()

  - ##### Default value rules: Map<String, CompareAction> = new Map()

  - ##### Default value offerPrices: Array<OfferPrice> = new Array<OfferPrice>()

  #### Returns Offer

## Properties

### compare

compare: Map<String, String>

- Defined in repository/models/Offer.ts:15

### description

description: string

- Defined in repository/models/Offer.ts:10

### id

id: number = 0

- Defined in repository/models/Offer.ts:8

### imageUrl

imageUrl: string

- Defined in repository/models/Offer.ts:12

### offerPrices

offerPrices: OfferPrice[] = new Array<OfferPrice>()

- Defined in repository/models/Offer.ts:17

### owner

owner: string = "0x0"

- Defined in repository/models/Offer.ts:9

### rules

rules: Map<String, CompareAction>

- Defined in repository/models/Offer.ts:16

### tags

tags: Map<String, String>

- Defined in repository/models/Offer.ts:14

### title

title: string

- Defined in repository/models/Offer.ts:11

### worth

worth: string

- Defined in repository/models/Offer.ts:13

## Methods

### getPriceById

- getPriceById(id: number): OfferPrice | undefined

- - Defined in repository/models/Offer.ts:111

  #### Parameters

  - ##### id: number

  #### Returns OfferPrice | undefined

### toJson

- toJson(): any

- - Defined in repository/models/Offer.ts:89

  #### Returns any

### validPrices

- validPrices(data: Map<string, string>): Array<OfferPrice>

- - Defined in repository/models/Offer.ts:106

  #### Parameters

  - ##### data: Map<string, string>

  #### Returns Array<OfferPrice>

### Static fromJson

- fromJson(json: any): Offer

- - Defined in repository/models/Offer.ts:19

  #### Parameters

  - ##### json: any

  #### Returns Offer

Generated using TypeDoc